Resolves a list of Google Maps URLs to specific geospatial entities (e.g., places) on Google Maps.
HTTP request
POST https://mapstools.googleapis.com/v1:resolveMapsUrls
The URL uses gRPC Transcoding syntax.
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "urls": [ string ] } |
| Fields | |
|---|---|
urls[] |
Required. The Google Maps URLs to be resolved. Each URL should be a valid Google Maps URL, for example, https://maps.app.goo.gl/..., https://www.google.com/maps/place/..., or https://maps.google.com/.... Currently, only URLs pointing to a single place are supported. You may specify up to 20 URLs. |
Response body
If successful, the response body contains an instance of ResolveMapsUrlsResponse.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/maps-platform.mapstools